# addExtraDoc

### Overview

Parameters:&#x20;

* [ExtraDoc](/espanol/facilitadores/sdks/typescript-sdk/used-classes/body/extradoc.md)

Retorno:

* [ExtraDocResponse](/espanol/facilitadores/sdks/typescript-sdk/used-classes/response/extradocresponse.md) - In case of success
* Exception - In case of failure

To create this document we will need:

* set your apiToken;
* original document\`s token;
* build the extra document;
* call the method.

### How to use:

Save your [apiToken](/espanol/master.md):

<pre class="language-typescript"><code class="lang-typescript"><strong>const apiToken: string = "YOUR TOKEN";
</strong></code></pre>

Save your original document\`s token:

<pre class="language-typescript"><code class="lang-typescript"><strong>const docToken: string = "ORIGINAL DOCUMENT TOKEN";
</strong></code></pre>

Build your extra doc with the [ExtraDoc](/espanol/facilitadores/sdks/typescript-sdk/used-classes/body/extradoc.md) class:

```typescript
const extraDoc: ExtraDocBuilder = ExtraDocBuilder()
                .withName("Extra Doc Name")
                .withUrlPdf("https://zapsign.s3.amazonaws.com/2022/1/pdf/63d19807-cbfa-4b51-8571-215ad0f4eb98/ca42e7be-c932-482c-b70b-92ad7aea04be.pdf")
                .build();
```

Finally, call the addExtraDoc method to get the [ExtraDocResponse](/espanol/facilitadores/sdks/typescript-sdk/used-classes/response/extradocresponse.md) or an error message:

<pre class="language-typescript"><code class="lang-typescript">async function exempleAddExtraDoc() {
            try {
                        docResponse: DocResponse = await new DocRequests(apiToken).addExtraDoc(docToken, extraDoc);
                        jsonDocResponse: string = new JsonConverter().extraDocToJson(docResponse);
                        console.log(jsonDocResponse);
                } catch(Err) {
                    console.log(Err);
                }
<strong>            }
</strong><strong>}
</strong></code></pre>

### Example:

<pre class="language-typescript"><code class="lang-typescript">import DocRequests from "sdk-node-typescript-zapsign/src/docs/DocRequests";
import { JsonConverter } from "sdk-node-typescript-zapsign/src/services/JsonConverter";
import { ExtraDocBuilder } from "sdk-node-typescript-zapsign/src/body/doc/builders/ExtraDocBuilder";
<strong>
</strong><strong>const apiToken: string = "YOUR TOKEN";
</strong><strong>
</strong>const docToken: string = "DOCUMENT ORIGINAL TOKEN";

const extraDoc: ExtraDocBuilder = ExtraDocBuilder()
                .withName("Extra Doc Name")
                .withUrlPdf("https://zapsign.s3.amazonaws.com/2022/1/pdf/63d19807-cbfa-4b51-8571-215ad0f4eb98/ca42e7be-c932-482c-b70b-92ad7aea04be.pdf")
                .build();
                
async function exempleAddExtraDoc() {
                try {
                        docResponse: DocResponse = await new DocRequests(apiToken).addExtraDoc(docToken, extraDoc);
                        jsonDocResponse: string = new JsonConverter().extraDocToJson(docResponse);
                        console.log(jsonDocResponse);
                } catch(Err) {
                        console.log(Err);
                }
}
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapsign.com.br/espanol/facilitadores/sdks/typescript-sdk/documents-requests/addextradoc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
